﻿/*
NOTE:
Kamineko Battle engine expects thoes arrays on init:
var aPlayerTeam:Array = new Array();
var aEnemyTeam:Array = new Array();
var heal:Array = new Array(); //As formated in KamiPotions.as
var mana:Array = new Array(); //As formated in KamiPotions.as
var aMonSummons:Array = new Array(); // Array with monsters available to be summoned
	// optional - if your monsters wont use summons, this array will be useless.


Those should contain a list of Player characters and enemies as defined in KamiDatabase.as
Quick reminder:
aPlayerTeam -------------------------------------------------
			v						v						v
			[char, item, skill]		[char, item, skill]		[char, item, skill]
			
Thoes arrays are used by:
KamiBattleChars.as
KamiBattleStatusWindow.as (in KamiBattleInterface.as)

NOTE2:
When quitting fight KamiBattleStatus.as will call:
_root.fightExitWon() - when Player exits a fight through winning
_root.fightExitLost() - when Player exits a fight through losing

NOTE3:
Kamineko Battle engine is less prone to work in parts.
Most of the modules are depending are other modules.
*/
import classes.KamiBattleChar;
import classes.KamiBattleStatus;
import classes.KamiBattleControl;
import classes.KamiBattleSumUp;
import classes.KamiBattleCommand;
import classes.KamiBattleToolTip
//
//Kamineko Battle Engine -----------------------------------------------
var nFireTime:Number = 100;
var nSkillsNumber:Number=3;
var nMissFactor:Number=20;

/*Kamineko Battle Background ---------------------------------------------
Remamber to put a MovieClip that will act as a Background.
Name it 'fback'.
Each frame of this MovieClip will be a difrent background.

_root.eBack - a frame number.
*/
_root.fback.gotoAndStop(_root.eBack);
/*Kamineko Fade out effect for background in battles ---------------------
fadeBack(fi:Number, f:Number, t:Number):Void

Fade away effect, that only darkens the background in battle
fi - desired alpha (0-black, 100-normal)
f - stay time (1 is 1frame)
t - fading speed

It only works when MovieClip, that holds images of backgrounds, is named "fback"
*/
#include "Include/KamiFadeBack.as"
//
/*Kamineko Battle Interface ----------------------------------------------
Put a MovieClip into a "Foreground" layer and name it 'BInter'.

Check the included file for more comments.
NOTE: It will initialize a Status window which controls most of the battle engine
NOTE2: Status window will call "fightExitWon" or "fightExitLost" functions when quitting Random Encounter
*/
#include "Include/KamiBattleInterface.as"
//
/* Kamineko Battle Chracters (Player's and Monster's) --------------------
Requires to put a MovieClip called 'BChar' on "battle frame".
*/

#include "Include/KamiBattleChars.as"
/*Kamineko Battle Damage Control -----------------------------------------
There's a MovieClip that control the damage that everyone deals.
It also adds _root.HitEffect() function:

_root.HitEffect(fx:String[, b:Boolean]):Void
Shows given FX on current target (depending on boolean value)
fx - name of Effect (Linkage to a MovieClip)
b - if 'true', target selected by the enemy (default: target selected by the Player)

_root.SendHeal(p:Number):Void
Sends a message that Player wants to use healing potion.
p - potion ID ('1' for 25HP one, '2' for 125HP and so on)
NOTE: This function will do nothing if it is not Player's turn.

_root.SendMana(p:Number):Void
Sends a message that Player wants to use mana potion.
p - potion ID ('1' for 25MP one, '2' for 125MP and so on)
NOTE: This function will do nothing if it is not Player's turn.

*/
#include "Include/KamiBattleControl.as"

/* Kamineko Battle Keys Listener -------------------------------------------
Reads the kyeboard input.
*/
#include "Include/KamiBattleKeys.as"

/* Kamineko Battle Settings -------------------------------------------------------
BattleSettings.as file contains some of the Kamineko's Battle engine settings.
Many variables are defined but shouldnt be modified.
BattleSettings.as contains only those vars that are ment to be modified.

Modify "BattleSettings.as" file to fit your liking.
*/
#include "BattleSettings.as"
