﻿var readDBPlayer:Function = function (id:Number, n:String):Boolean {
	if (n == null || n=="") {
		_root.aPlayerTeam[id] = new Array(3);
		_root.refreshHUD();
		return true;
	}
	for (var i:Number = 0; i<_root.aCharsDB.length; i++) {
		if (_root.aCharsDB[i][0] == n) {
			_root.aPlayerTeam[id] = new Array(3);
			_root.aPlayerTeam[id][0] = _root.arrayCopy(_root.aCharsDB[i][1]);
			_root.aPlayerTeam[id][1] = _root.arrayCopy(_root.aCharsDB[i][2]);
			_root.aPlayerTeam[id][2] = _root.arrayCopy(_root.aCharsDB[i][3]);
			_root.aPlayerTeam[id][0][13]();
			_root.refreshHUD();
			return true;
		}
	}
	return false;
};
var getDBPlayer:Function = function(n:String):Array {
	for (var i:Number = 0; i<_root.aCharsDB.length; i++) {
		if (_root.aCharsDB[i][0] == n) {
			return _root.aCharsDB[i];
		}
	}
	return null;
}
var readDBMonster:Function = function (id:Number, n:String):Boolean {
	if (n == null || n=="") {
		_root.aEnemyTeam[id] = new Array(3);
		return true;
	}
	for (var i:Number = 0; i<_root.aMonsDB.length; i++) {
		if (_root.aMonsDB[i][0] == n) {
			_root.aEnemyTeam[id] = new Array(3);
			_root.aEnemyTeam[id][0] = _root.arrayCopy(_root.aMonsDB[i][1]);
			_root.aEnemyTeam[id][1] = _root.arrayCopy(_root.aMonsDB[i][2]);
			_root.aEnemyTeam[id][2] = _root.arrayCopy(_root.aMonsDB[i][3]);
			return true;
		}
	}
	return false;
};
var joinDBPlayer:Function = function (n:String):Boolean {
	if (n == null) {
		return false;
	}
	for (var j:Number = 1; j<=_root.playersCount; j++) {
		if (_root.aPlayerTeam[j][0] == null) {
			for (var i:Number = 0; i<_root.aCharsDB.length; i++) {
				if (_root.aCharsDB[i][0] == n) {
					_root.aPlayerTeam[j][0] = _root.aCharsDB[i][1];
					_root.aPlayerTeam[j][1] = _root.aCharsDB[i][2];
					_root.aPlayerTeam[j][2] = _root.aCharsDB[i][3];
					_root.aPlayerTeam[j][0][13]();
					_root.refreshHUD();
					_root.SMS(_root.aCharsDB[i][1][0]+" joins the party!", 50);
					return true;
				}
			}
		}
	}
	return false;
};
var readDBItem:Function = function(s:String, n:Number):Boolean {
	if(s=="" || s==null) return false;
	if(n==null) n = _root.aItemsDB[i][3];
	for (var i:Number = 0; i<_root.aItemsDB.length; i++) {
		if (_root.aItemsDB[i][0] == s) {
			_root.giveItem(_root.aItemsDB[i][0],_root.aItemsDB[i][1],_root.aItemsDB[i][2],n,_root.aItemsDB[i][4]);
			return true;
		}
	}
	return false;
}
// =======================================
// DATABASE
// =======================================
var aCharTmp:Array;
var aItemTmp:Array;
var aSkillTmp:Array;
var fLevelUp:Function;
//Player Characters
var aCharsDB:Array = new Array(3);
/*
PLAYERS-------------------------------------------------------------
0.name 1.Str 2.Vit 3.Dex 4.Int 5.HP 6.MaxHP 7.MP 8.MaxMP 9.EP 10.MaxEP 11.LVL 12.picture 13.LVUP FUN() 14.Summon 15.AI Controlled
               0,  1,  2,  3, 4,  5,   6, 7,  8, 9, 10, 11 12,   13, 14,	15
char1 = ["Osaka", 10, 10, 10, 5, 10, 100, 2, 25, 0, 50, 1, 2, lvlup, false,	false];
"lvlup" is explained further below.
"picture" is for game to know which avatar to show
"Kamineko RPG's" "statusAvatar" holds characters in order 1=Sakaki 2=Osaka...
For example, if you want your avatar to show second frame of the "statusAvatar" you set "picture" to '2'

0.sword 1.helm 2.armor 3.shoe 4.shield 5.SumDEF
                  0,       1,       2,       3,       4,  5
item1 = [["hand", 10], [null, 0], [null, 0], [null, 0], [null, 0], 0];
NOTE: SumDEF is calculated automatically (when using addEquip() or buying in the shop)

Names and levels of skills
skil1 = [null, null, null];
  |
  |
  -> 2D array for skills definition
           0.name 1.picture 2.type 3.dmg 4.maxDMG 5.target 6.cost 7.unlocked
                     0  1  2   3  4      5   6
skil1[0] = ["Throw Shoe", 1, 1, 10, 20, true, 10,true];
skil1[1] = ["Focus (+DEX)", 2, 5, 1, 3, null, 5,false];
skil1[2] = ["Knife Attack", 3, 1, 10, 20, false, 5,false];
0. "name" - name of the skill
	NOTE: Skill's name is displayed in small Information Window during a fight.
	Skills with type '0', '1' or '2' have additional info appended along with name and that is "MP" and "Damage"
	Skill with type '6' have "MP" and "Heal" info appended.
	For other skills include additional info yourself - "MP" cost will be included automaticly.
	
1. "picture" - image to use for the skill button (from the "Battle_Skill" MovieClip)
2. "type" - type of a skill (type in number, not name):
	0. "Attack" - is used for "Attack" option (which makes normal attack a "skill"...anyway, this type works like "Normal" skill only ignors "maxDMG")
	1. "Normal" - normal skill (deals given damage; can be avoided)
	2. "Unblockable" - power skill (deals given damage; ignors target's defence; can't be avoided)
	3. "Set on fire" - damage over time ("dmg" - HP to take on each turn; "maxDMG" - number of turns to last; ignors target's defence; can't be avoided; the effect is accumulative);
	4. "Berserk" - Make target go into a berserker mode - character in berserker mode will attack a random target (including allies and enemies). "dmg" indicates number of turns to last - final value is determinant by INT vs INT
	5. "Change" - changes one of the character attributes (changes stat given in "maxDMG"(See below for a list), "dmg" how much to change)
	6. "Heal" - heals target (or deals negative damage to be precise - type-in a positive amount, tought) this skill can't miss and can't be blocked.
	//
	Stat change (type in number, not name):
	0."name"
	1."Str"
	2."Vit"
	3."Dex"
	4."Int"
	5."HP"
	6."MaxHP"
	7."MP"
	8."MaxMP"
	9."Atk" - Weapons attack value
	10."Def" - summed defence value of all Character's items.
	11."Move time" - In battle, character can't make a move until it's "move time" isn't full. Negative value to decreas target's move time - final value is determinant by DEX vs DEX.
//Success for any stat change is 100%.
//NOTE: Any stat change will be resetted after a fight.
5. "target type" - who and how this skill will target (type in number, not name):
	-2. "Self Group" - only caster's team (including caster) will be affected by this skill.
	-1. "Self" - only caster will be affected by this skill.
	0. "Default" - caster chooses the target.
	1. "Whole Group" - caster chooses the target. Skill will also affect target's allies.
	2. "Leech" - caster chooses the target. Skill damages the target and then deals the same but negative damage to caster.
	3. "Leech Group" - caster chooses the target. Same as "Leech" but steels from whole target's group and sums it.
	4. "Everyone" - Deals damage to all Characters in the battle.
6. "cost" - MP to take upon use
//
*/
// SAKAKI ######################################################################################################
/*
level up function is always called whenever given player levelsup
It will also be called on game load to restore characters skills state.
It will be called only once, so change skills properties based on characters level.
arc - an Array of Stats of leveluping character
ari - an Array of Items of leveluping character
ars - an Array of Skills of leveluping character
Note: Any _root.SMS() call will NOT be omitted on the game load. Be sure to put them inside
a if(_root.inFight) {...} statement
*/
fLevelUp = function (arc:Array,ari:Array,ars:Array):Void {
	if (_root.inFight) {
		if (arc[11] == 5) {
			_root.SMS("Sakaki learned a new skill: 'Snowball' !", 50);
			ars[0][7] = true;
		}
		if (arc[11] == 10) {
			_root.SMS("Sakaki learned a new skill: 'Mana Push' !", 50);
			ars[2][7] = true;
		}
	} else {
		if (arc[11]>=5) {
			ars[0][7] = true;
		}
		if (arc[11]>=10) {
			ars[2][7] = true;
		}
	}
	if( _root.checkFlag("sakakiExtraPush") ) ars[2][5] = 1;
	//
	// Combo lvlup (dex) 
	ars[1][3] = 2 + Math.floor(arc[3]/5) + arc[11];
	ars[1][4] = 7 + Math.floor(arc[3]/4) + arc[11];
	//
	// Snowball lvlup (str)
	if (arc[11]>=5) {
		ars[0][3] = -(7 + Math.floor(arc[1]/5) + (arc[11]*2));
	}
	//
	// Mana Push (int)       
	if (arc[11]>=10) {
		ars[2][3] = 6 + Math.floor(arc[4]/5) + arc[11];
		ars[2][4] = 15 + (Math.floor(arc[4]/5) + arc[11]*2);
	}
};
//0.name 1.Str 2.Vit 3.Dex 4.Int 5.HP 6.MaxHP 7.MP 8.MaxMP 9.EP 10.MaxEP 11.LVL 12.picture 13.LVUP FUN() 14.Summon's name 15.AI Controlled
//              0,  1,  2,  3, 4,  5,   6, 7,  8, 9, 10, 11 12,  13
aCharTmp = ["Sakaki", 10, 10, 10, 5, 10, 0, 2, 0, 0, 50, 1, 1, fLevelUp, "",false];
aItemTmp = [["hand", 10], [null, 0], [null, 0], [null, 0], [null, 0], 0];
aSkillTmp = new Array(3);
//	           0.name 1.picture 2.type 3.dmg 4.maxDMG 5.target 6.cost 7.unlocked 8.description
//				0				1	2	3	4	5	6	7      8
aSkillTmp[0] = ["Snowball",		1,	5,	-10,11,	0,	7,	false, "Sakaki throws a snowball that delays enemy's next move.\nAffected by Strength."];
aSkillTmp[1] = ["Combo",		4,	1,	5,	10,	0,	6,	true,  "Sakaki does a two hit combo.\nAffected by Dexterity."];
aSkillTmp[2] = ["Mana Push",	5,	2,	10,	20,	0,	10,	false, "Sakaki pushes a wave of air at enemy.\nAffected by Intelligence."];
//
//						0.name		1.char		2.item		3.skill
// You might notice that "name" shows up twice
// "name" in characters stats is a "real" name, used through out the game
// "name" supplied in database entry is used only for look-up purpose when using readDBPlayer() or joinDBPlayer()
// That way you can have two characters with the same name but diffrent stats.
aCharsDB[1] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
// OSAKA ######################################################################################################
//
fLevelUp = function (arc:Array,ari:Array,ars:Array):Void {
	if (_root.inFight) {
		if (arc[11] == 5) {
			_root.SMS("Osaka learned a new skill: 'Focus' !", 50);
			ars[1][7] = true;
		}
		if (arc[11] == 10) {
			_root.SMS("Osaka learned a new skill: 'Knife Attack' !", 50);
			ars[2][7] = true;
		}
	} else {
		if (arc[11]>=5) {
			ars[1][7] = true;
		}
		if (arc[11]>=10) {
			ars[2][7] = true;
		}
	}
	//
	// Throw Shoe (int)
	ars[0][3] = 7 + Math.floor(arc[4]/5) + arc[11];
	ars[0][4] = ars[0][3];
	// 
	// Focus (dex)
	if (arc[11]>=5) {
		ars[1][3] = -5 + (arc[11] + Math.floor(arc[3]/5));
		//ars[1][3] = 9 + Math.floor(arc[3]/5) + arc[11];
		//ars[1][4] = 11 + Math.floor(arc[3]/5) + arc[11];
	}
	//
	// Knife Attack (str)
	if (arc[11]>=10) {
		ars[2][3] = (Math.floor(arc[1]/5) + arc[11]) - 1;
		ars[2][4] = (Math.floor(arc[1]/5) + (arc[11]*2)) - 1;
	}
};
//0.name 1.Str 2.Vit 3.Dex 4.Int 5.HP 6.MaxHP 7.MP 8.MaxMP 9.EP 10.MaxEP 11.LVL 12.picture 13.LVUP FUN() 14.Summon's name 15.AI Controlled
aCharTmp = ["Osaka", 8, 9, 8, 10, 90, 0, 40, 0, 0, 50, 1, 2, fLevelUp, "", false];
//	0.sword 1.helm 2.armor 3.shoe 4.shield 5.SumDEF
aItemTmp = [["hand", 10], [null, 0], [null, 0], [null, 0], [null, 0], 0];
aSkillTmp = new Array(3);
//	           0.name 1.pictrue 2.type 3.dmg 4.maxDMG 5.all 6.cost 7.unlocked 8.description
//				0				1	2	3	4	5	6	7
aSkillTmp[0] = ["Throw Shoe",	6,	1,	10,	10,	1,	9, true, "Osaka throws a shoe to forecast the weather.\nAffected by Intelligence."];
aSkillTmp[1] = ["Focus",		2,	5,	1,	3,	-2,	6, false,"Osaka charges the charms of all party members.\nAffected by Dexterity."];
aSkillTmp[2] = ["Knife Attack",	3,	2,	10,	20,	0,	5, false,"Osaka tries to wake up her target with a frying pan but doesnt notice she takes out the knife instead.\nAffected by Strength."];
//
aCharsDB[0] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
// ARMISAEL ###################################################################################################
//
fLevelUp = function (arc:Array,ari:Array,ars:Array):Void {
	if (_root.inFight) {
		if (arc[11] == 5) {
			_root.SMS("Armisael learned a new skill: 'Spit' !", 50);
			ars[1][7] = true;
		}
		if (arc[11] == 10) {
			_root.SMS("Armisael learned a new skill: 'Flaming Combo' !", 50);
			ars[2][7] = true;
		}
	} else {
		if (arc[11]>=5) {
			ars[1][7] = true;
		}
		if (arc[11]>=10) {
			ars[2][7] = true;
		}
	}
	if( _root.checkFlag("gotSpitomatic") ) ars[1][5] = 1;
	// 
	// Seismic Punch (str)
	ars[0][3] = 7 + Math.floor(arc[1]/5) + arc[11];
	ars[0][4] = ars[0][3];
	// 
	// Spit (vit)
	if (arc[11]>=5) {
		ars[1][3] = 5 - Math.floor(arc[2]/5) - arc[11];
	}
	//
	// Flaming Combo (dex)
	if (arc[11]>=10) {
		ars[2][3] = (Math.floor(arc[3]/5) + (arc[11]/2)) - 1;
		ars[2][4] = (Math.floor(arc[3]/5) + arc[11]) - 1;
	}
};
//0.name 1.Str 2.Vit 3.Dex 4.Int 5.HP 6.MaxHP 7.MP 8.MaxMP 9.EP 10.MaxEP 11.LVL 12.picture 13.LVUP FUN() 14.Summon's name 15.AI Controlled
aCharTmp = ["Armisael", 10, 12, 8, 5, 100, 0, 0, 0, 33, 55, 2, 7, fLevelUp, "", false];
aItemTmp = [["hand", 10], [null, 0], [null, 0], [null, 0], [null, 0], 0];
aSkillTmp = new Array(3);
//	           0.name 1.pictrue 2.type 3.dmg 4.maxDMG 5.all 6.cost 7.unlocked 8.description
//				0					1	2	3	4	5	6	7	  8
aSkillTmp[0] = ["Seismic Punch",	7,	1,	10,	10,	1,	9,	true, "Armisael hits the ground with a powerful punch.\nAffected by Strength."];
aSkillTmp[1] = ["Spit",				8,	5,	-2,	10,	0,	6,	false,"Armisael spits on the enemy lowering its defence.\nAffected by Vitality."];
aSkillTmp[2] = ["Flaming Combo",	9,	1,	6,	10,	0,	8,	false,"Armisael does a multihit combo.\nAffected by Dexterity."];
//
aCharsDB[2] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
// =====================================================================================================
//MONSTERS ITEMS AND SKILLS ============================================================================
// =====================================================================================================
//Monster Characters
var aMonsDB:Array = new Array(17);
// "TrueName" is the one used when loading animations from the library
// that way you can have diffrent enemies using same animations
// HP and MP will be calculated upon entering a fight
//          name, Str, Vit, Dex, Int, HP, MaxHP, MP, Max MP, TrueName Exp
//             0,   1,   2,   3,   4,  5,     6,  7,      8,       9  10
//                   0,  1, 2, 3, 4, 5, 6, 7, 8,          9,  10
aCharTmp = ["White Cat", 10, 5, 5, 5, 0, 0, 0, 0, "WhiteCat", 25];
//Monster's items array is only limited to attack weapon and sumed up variable.
//Other values are used for additional settings.
//Data is formated in similiar fashion as in Player's items array intentionally.
//In-battle characters (Monster's and Player's) are controlled by single class
//and thus require similar input data.
//	0.sword 1.helm 2.armor 3.shoe 4.shield 5.SumDEF
//Note: SumDEF needs to be supplied manually
aItemTmp = [["claw", 10], false, false, false, null, 10];
//[[weapon name,value],can defend?,can run?,can heal?,can summon?, sumDEF];
// if monster can run but allowBattleRun is set to false if wont be able anyway
// healing cost 10MP
// summoning cost 20MP
// Whether monster can use skills depends on whether it has animation for them.
// 	Also it will use only skills that it actually has defined in the database

//
aMonsDB[0] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["White Kitten", 5, 3, 3, 3, 0, 0, 0, 0, "SmallWhite", 18];
aItemTmp = [["claw", 10], false, false, false, false, 10];

aMonsDB[1] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["Gray Kitten", 9, 4, 4, 4, 0, 0, 0, 0, "SmallGray", 28];
aItemTmp = [["claw", 10], true, false, false, false, 15];

aMonsDB[2] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["White Cat Leader", 28, 12, 15, 5, 0, 0, 0, 0, "WhiteCat", 55];
aItemTmp = [["claw", 20], true, false, true, false, 25];

aMonsDB[3] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["White Cat Fighter", 18, 8, 11, 5, 0, 0, 0, 0, "WhiteCat", 35];
aItemTmp = [["claw", 15], true, true, false, false, 15];

aMonsDB[4] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["Gray Cat", 20, 9, 25, 5, 5, 0, 0, 0, "GrayCat", 50];
aItemTmp = [["claw", 15], true, true, false, false, 20];

aMonsDB[5] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["Gray Cat Leader", 25, 11, 30, 5, 10, 0, 0, 0, "GrayCat", 70];
aItemTmp = [["claw", 20], true, false, true, false, 25];

aMonsDB[6] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["KaminekoJr", 30, 100, 33, 60, 0, 0, 0, 0, "KaminekoJr", 2000];
aItemTmp = [["claw", 20], false, false, true, false, 35];
aSkillTmp = new Array(1);
//	           0.name 1.picture 2.type 3.dmg 4.maxDMG 5.all 6.cost
aSkillTmp[0] = ["RAY", 0, 1, 30, 70, 0, 5];
aMonsDB[7] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
aCharTmp = ["Shaolin Cat", 35, 30, 15, 10, 0, 0, 0, 0, "Monk", 90];
aItemTmp = [["claw", 20], true, false, false, false, 25];
aSkillTmp = new Array(1);
aSkillTmp[0] = ["Point Blank", 0,	5,	-30,11,	0,	7]
aMonsDB[8] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
aCharTmp = ["Predator Cat", 30, 25, 30, 10, 0, 0, 0, 0, "Predator", 100];
aItemTmp = [["claw", 20], true, true, false, false, 20];
aSkillTmp = new Array(1);
aSkillTmp[0] = ["Scratch Combo", 0, 1, 2, 6, 0, 5];
aMonsDB[9] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
aCharTmp = ["Assasin Cat", 40, 25, 35, 10, 0, 0, 0, 0, "Predator", 120];
aItemTmp = [["claw", 25], true, false, true, false, 30];
aSkillTmp = new Array(1);
aSkillTmp[0] = ["Scratch Combo", 0, 1, 5, 10, 0, 6];
aMonsDB[10] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
aCharTmp = ["Shadow Cat", 40, 25, 40, 15, 0, 0, 0, 0, "Shadow", 140];
aItemTmp = [["claw", 30], true, true, false, false, 35];
aSkillTmp = new Array(1);
aSkillTmp[0] = ["RIPE", 0, 1, 30, 60, 1, 15];
aMonsDB[11] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
aCharTmp = ["Shadow Cat Killer", 45, 25, 45, 20, 0, 0, 0, 0, "Shadow", 160];
aItemTmp = [["claw", 40], true, false, false, false, 45];
aSkillTmp = new Array(2);
aSkillTmp[0] = ["RIPE", 0, 1, 35, 80, 1, 15];
aSkillTmp[1] = ["FEAR",	0, 4, 3, 0, 0, 50];
aMonsDB[12] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
aCharTmp = ["Kamineko", 35, 150, 50, 100, 0, 0, 0, 0, "Kamineko", 0];
aItemTmp = [["claw", 25], true, true, true, true, 50];
aSkillTmp = new Array(3);
aSkillTmp[0] = ["RAY", 0, 1, 20, 60, 0, 5];
aSkillTmp[1] = ["ELECTROSTATIC", 0, 1, 10, 40, 1, 10];
aSkillTmp[2] = ["FURBALL", 0, 5, 1, 3, 1, 5];
aMonsDB[13] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
//[[weapon name,value],can defend?,can run?,can heal?,can summon?, sumDEF];
aCharTmp = ["Trickster", 10, 11, 10, 20, 0, 0, 0, 0, "Trickster", 200];
aItemTmp = [["claw", 5], true, true, false, false, 5];
aSkillTmp = new Array(3);
aSkillTmp[0] = ["FIRE",		0, 3, 5, 4, 0, 15];
aSkillTmp[1] = ["CONFUSE",	0, 4, 3, 0, 0, 50];
aSkillTmp[2] = ["LEECH",	0, 5, -10, 7, 0, 0];
aMonsDB[14] = new Array(aCharTmp[0], aCharTmp, aItemTmp, aSkillTmp);
//
aCharTmp = ["Undead Cat", 55, 30, 20, 10, 0, 0, 0, 0, "Skeleton", 180];
aItemTmp = [["claw", 40], true, false, false, false, 50];

aMonsDB[15] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
//
aCharTmp = ["Undead Cat Leader", 60, 40, 25, 10, 0, 0, 0, 0, "Skeleton", 200];
aItemTmp = [["claw", 50], true, false, true, false, 60];
aSkillTmp = new Array(3);
aMonsDB[16] = new Array(aCharTmp[0], aCharTmp, aItemTmp, null);
/*
           0.name 1.picture 2.type 3.dmg 4.maxDMG 5.target 6.cost 7.unlocked
                     0  1  2   3  4      5   6
skil1[0] = ["Throw Shoe", 1, 1, 10, 20, true, 10,true];
skil1[1] = ["Focus (+DEX)", 2, 5, 1, 3, null, 5,false];
skil1[2] = ["Knife Attack", 3, 1, 10, 20, false, 5,false];

0. "name" - name of the skill
	NOTE: Skill's name is displayed in small Information Window during a fight.
	Skills with type '0', '1' or '2' have additional info appended along with name and that is "MP" and "Damage"
	Skill with type '6' have "MP" and "Heal" info appended.
	For other skills include additional info yourself - However, "MP" cost will be included automaticly.
	
1. "picture" - image to use for the skill button (from the "Battle_Skill" MovieClip)
2. "type" - type of a skill (type in number, not name):
	0. "Attack" - is used for "Attack" option (which makes normal attack a "skill"...anyway, this type works like "Normal" skill only ignors "maxDMG")
	1. "Normal" - normal skill (deals given damage; can be avoided)
	2. "Unblockable" - power skill (deals given damage; ignors target's defence; can't be avoided)
	3. "Set on fire" - damage over time ("dmg" - HP to take on each turn; "maxDMG" - number of turns to last; ignors target's defence; can't be avoided; the effect is accumulative);
	4. "Berserk" - Make target go into a berserker mode - character in berserker mode will attack a random target (including allies and enemies). "dmg" indicates number of turns to last - final value is determinant by INT vs INT
	5. "Change" - changes one of the character attributes (changes stat given in "maxDMG"(See below for a list), "dmg" how much to change)
	6. "Heal" - heals target (or deals negative damage to be precise - type-in a positive amount, tought) this skill can't miss and can't be blocked.
	//
	Stat change (type in number, not name):
	0."name"
	1."Str"
	2."Vit"
	3."Dex"
	4."Int"
	5."HP"
	6."MaxHP"
	7."MP"
	8."MaxMP"
	9."Atk" - Weapons attack value
	10."Def" - summed defence value of all Character's items.
	11."Move time" - In battle, character can't make a move until it's "move time" isn't full. Negative value to decrease target's move time - final value is determinant by DEX vs DEX.
//Success for any stat change is 100%.
//NOTE: Any stat change will be resetted after a fight.
5. "target type" - who and how this skill will target (type in number, not name):
	-2. "Self Group" - only caster's team (including caster) will be affected by this skill.
	-1. "Self" - only caster will be affected by this skill.
	0. "Default" - caster chooses the target.
	1. "Whole Group" - caster chooses the target. Skill will also affect target's allies.
	2. "Leech" - caster chooses the target. Skill damages the target and then deals the same but negative damage to caster.
	3. "Leech Group" - caster chooses the target. Same as "Leech" but steels from whole target's group and sums it.
	4. "Everyone" - Deals damage to all Characters in the battle.
6. "cost" - MP to take upon use
*/
//
// =====================================================================================================
// USEABLE ITEMS =======================================================================================
// =====================================================================================================
// Items
var aItemsDB = new Array(2);
//
//0. name 1. image 2. stackable 3. default amount 4. use function
//						0		 1	2	 3	4		
aItemsDB[0] = new Array("Cat'away",10,true,1,function():Void {_root.nFightCancel++;});
aItemsDB[1] = new Array("Power Stone",11,true,1,function():Void {
														  _root.aPlayerTeam[_root.charSelect][0][1] += 2;
															_root.aPlayerTeam[_root.charSelect][0][2] += 2;
															_root.aPlayerTeam[_root.charSelect][0][3] += 2;
															_root.aPlayerTeam[_root.charSelect][0][4] += 2;
															_root.aPlayerTeam[_root.charSelect][0][13]();
														  });