﻿/*Kamineko Worldmap Effect ------------------------------------------------
A "Level" that showes player movement on a map of the World.
Player can't fight there.
Only The leading party member will be showen, and its frame called 'head' will be used.
Player can only make one "step' on the world map (that way, we force him to visit new locations).

Worldmap requires a array called 'locs'.
Example from Kamineko:
locs=new Array();
locs[0]=["City",237,178,"",1,"",2,function() {_root.scrollEffect = 2;_root.warpTp("Crossroad2", 324, 436);}];
locs[1]=["Woods",117,-163,"","","",0,function() {_root.scrollEffect = 2;_root.warpTp("OutsideWoods", 27, 340);}];
locs[2]=["House On The Hill",579,427,"",0,"","",function() {_root.scrollEffect = 0;_root.warpTp("HillHouse", 45, 425);}];

Description:
locs[location number]=["location name",x,y,Key.UP,Key.LEFT,Key.DOWN.Key.RIGHT,function() {}];

When Player stops at given location he will get message: "Press SPACE to enter the location name".
Player will move to position x and y.
When Player presses one of the directions keys, he will move to location with that number ("" meens that there is no location in that direction).
And if Player decieds to enter current loc. a 'function()' will be called. That way you can change some of the vars and warp Player to any level you wish.
*/
// Current position on the WorldMap
//var worldMap:Number = -1;

_root.playerCanMove = false;
_root.bEnemyArea = false;
_root.scrollEffect = 1;
if (_root.WorldMapInterface == null) {
	mc = _root.createEmptyMovieClip("WorldMapInterface", _root.getNextHighestDepth());
	mc.attachMovie("wmArrowUp", "arrowUp", mc.getNextHighestDepth());
	mc.attachMovie("wmArrowLeft", "arrowLeft", mc.getNextHighestDepth());
	mc.attachMovie("wmArrowDown", "arrowDown", mc.getNextHighestDepth());
	mc.attachMovie("wmArrowRight", "arrowRight", mc.getNextHighestDepth());
} else {
	mc = _root.WorldMapInterface;
	if (mc.arrowUp == null) {
		mc.attachMovie("wmArrowUp", "arrowUp", mc.getNextHighestDepth());
		mc.attachMovie("wmArrowLeft", "arrowLeft", mc.getNextHighestDepth());
		mc.attachMovie("wmArrowDown", "arrowDown", mc.getNextHighestDepth());
		mc.attachMovie("wmArrowRight", "arrowRight", mc.getNextHighestDepth());
	}
}
_root.WorldMapInterface._visible=true;
mc.arrowUp._visible = false;
mc.arrowLeft._visible = false;
mc.arrowDown._visible = false;
mc.arrowRight._visible = false;
//
mc.curpos = _root.worldMap;
mc.moving = false;
mc.a = 0;
_root.Player._x = _root.locs[_root.worldMap][1];
_root.Player._y = _root.locs[_root.worldMap][2];
mc.onKeyDown = function():Void  {
	if (!this.moving) {
		if (this.curpos == _root.worldMap) {
			if (Key.isDown(Key.UP)) {
				if (_root.locs[_root.worldMap][3] != "") {
					this.curpos = _root.locs[_root.worldMap][3];
					this.arrowUp._visible = false;
					this.arrowLeft._visible = false;
					this.arrowDown._visible = false;
					this.arrowRight._visible = false;
				}
			} else if (Key.isDown(Key.LEFT)) {
				if (_root.locs[_root.worldMap][4] != "") {
					this.curpos = _root.locs[_root.worldMap][4];
					this.arrowUp._visible = false;
					this.arrowLeft._visible = false;
					this.arrowDown._visible = false;
					this.arrowRight._visible = false;
				}
			} else if (Key.isDown(Key.DOWN)) {
				if (_root.locs[_root.worldMap][5] != "") {
					this.curpos = _root.locs[_root.worldMap][5];
					this.arrowUp._visible = false;
					this.arrowLeft._visible = false;
					this.arrowDown._visible = false;
					this.arrowRight._visible = false;
				}
			} else if (Key.isDown(Key.RIGHT)) {
				if (_root.locs[_root.worldMap][6] != "") {
					this.curpos = _root.locs[_root.worldMap][6];
					this.arrowUp._visible = false;
					this.arrowLeft._visible = false;
					this.arrowDown._visible = false;
					this.arrowRight._visible = false;
				}
			}
		} else {
			if (Key.isDown(Key.UP)) {
				if (_root.locs[this.curpos][3] == _root.worldMap) {
					this.curpos = _root.worldMap;
					_root.SMS("", 3);
				}
			} else if (Key.isDown(Key.LEFT)) {
				if (_root.locs[this.curpos][4] == _root.worldMap) {
					this.curpos = _root.worldMap;
					_root.SMS("", 3);
				}
			} else if (Key.isDown(Key.DOWN)) {
				if (_root.locs[this.curpos][5] == _root.worldMap) {
					this.curpos = _root.worldMap;
					_root.SMS("", 3);
				}
			} else if (Key.isDown(Key.RIGHT)) {
				if (_root.locs[this.curpos][6] == _root.worldMap) {
					this.curpos = _root.worldMap;
					_root.SMS("", 3);
				}
			}
		}
		if (Key.isDown(Key.SPACE)) {
			if (_root.Player._x == _root.locs[this.curpos][1] && _root.Player._y == _root.locs[this.curpos][2]) {
				Key.removeListener(this);
				_root.worldMap = -1;
				_root.playerCanMove = true;
				_root.locs[this.curpos][7]();
			}
		}
	}
};
Key.addListener(mc);
mc.onEnterFrame = function():Void  {
	if (!this.moving) {
		if (_root.Player._x != _root.locs[this.curpos][1] || _root.Player._y != _root.locs[this.curpos][2]) {
			this.a = Math.atan2(_root.locs[this.curpos][2]-_root.Player._y, _root.locs[this.curpos][1]-_root.Player._x);
			this.moving = true;
		} else {
			_root.SMS("Press SPACE to enter the "+_root.locs[this.curpos][0], 3);
			if (this.curpos == _root.worldMap) {
				if (_root.locs[this.curpos][3] != "") {
					this.arrowUp._visible = true;
					this.arrowUp._x = _root.Player._x;
					this.arrowUp._y = _root.Player._y-90;
				}
				if (_root.locs[this.curpos][4] != "") {
					this.arrowLeft._visible = true;
					this.arrowLeft._x = _root.Player._x-70;
					this.arrowLeft._y = _root.Player._y-20;
				}
				if (_root.locs[this.curpos][5] != "") {
					this.arrowDown._visible = true;
					this.arrowDown._x = _root.Player._x;
					this.arrowDown._y = _root.Player._y+50;
				}
				if (_root.locs[this.curpos][6] != "") {
					this.arrowRight._visible = true;
					this.arrowRight._x = _root.Player._x+70;
					this.arrowRight._y = _root.Player._y-20;
				}
			}
		}
	} else {
		if (Math.pow(Math.pow(_root.locs[this.curpos][2]-_root.Player._y, 2)+Math.pow(_root.locs[this.curpos][1]-_root.Player._x, 2), 0.5)<=(_root.speed*3)) {
			_root.Player._x = _root.locs[this.curpos][1];
			_root.Player._y = _root.locs[this.curpos][2];
			this.moving = false;
		} else {
			_root.Player._x += Math.cos(this.a)*(_root.speed*3);
			_root.Player._y += Math.sin(this.a)*(_root.speed*3);
		}
	}
};
