﻿//NOTE: Kamineko has many variables initialized by it's modules.
// Some of them shouldnt be modified - for a list of variables
// that can or even should be modified reffer to Settings.as

//NOTE2: Following variables are expected in most of the modules

// =============================================================
// Predefined variables ========================================
// DO NOT MODIFY!

Stage.scaleMode = "noScale";
var swidth:Number = Stage.width;
var sheight:Number = Stage.height;

// default TextFormat used in Kamineko's modules
var format:TextFormat = new TextFormat();
format.color = 0xffff00;
format.bold = true;
format.font = "Fontex"; //a Linkage to embed font
format.size = 11;
format.align = "center";

// Players and Monsters count is a bit sketchy
// It wasnt really tested but technically it should work.
var playersCount:Number = 3;
var monstersCount:Number = 3;

// Current position on the WorldMap
var worldMap:Number = -1;

// Players and Monsters stats
// Those variables are made ahead of time, to have them strictly initialized.
// If not created, Kamineko will create those on runtime (if need) but runtime
// initialized variables are much slower.
var aPlayerTeam:Array = new Array(playersCount+1);
var aEnemyTeam:Array = new Array(monstersCount+1);

// Indicates Player movement state
// 0 - Player didnt walk into any objects and Player's movement routine have finished.
// 1 - Set if object reported no collision; may still be changed to '2'.
// 2 - Player have had walked into an object and wont be moved any further.
var PlayerMove:Number = 0;

// Indicates currently selected character
// 0 - no selection
// Using RefreshHUD() (included into KamiAvatars.as) will choose first available character if setted to '0'
// "charSelect is used in:
// KamiAvatars.as
// KamiStatus.as
// KamiEquip.as
// Kami
var charSelect:Number = 0;

// 
var arrayCopy:Function = function (a:Array):Array {
	var copy:Array = new Array(a.length);
	for (var ind:Number = 0; ind<a.length; ind++) {
		copy[ind] = a[ind];
	}
	return copy;
};

// Temp vars
var mc:MovieClip;
var mc2:MovieClip;
var tmpn:String;
//==============================================================
/* Kamineko database ----------------------------------------------------------
New addition to Kamineko 1.0
It doesnt really function like a true database (like SQL)
What it does, is that it initialize all monsters and player's characters
and reference to them on the game's runtime.

It adds 3 functions to simplify that process:
readDBPlayer(id:Number, n:String):Boolean
Loads a specified character to a given 'slot'
id - party 'slot', for example "Kamineko RPG" loads "Sakaki" and puts her into the second slot.
n - character name; case sensitive - it has to match database entry perfectly
Returns 'true' on success, 'false' otherwise.
NOTE: You can type in a 'null' property in 'n' argument to remove a character from the given slot.
NOTE2: A Level-up function will be called immediatly after success of adding Character to the party slot.

readDBMonster(id:Number, n:String):Boolean
Loads a specified monster to a given 'slot'
id - 'slot', similar to player's party.
n - monster name; case sensitive - it has to match database entry perfectly
Returns 'true' on success, 'false' otherwise.

joinDBPlayer(n:String):Boolean
Tries to add a given character to the player's party.
Note: New character always takes the first free slot.
n - character name; case sensitive - it has to match database entry perfectly
Returns 'true' if a given character successfuly joined the player's party. 'false' otherwise.
NOTE: A Level-up function will be called immediatly after successful join.

readDBItem(s:String[,n:Number]):Boolean
Gives specified item to the player.
s - item name; case sensitive - it has to match database entry perfectly.
n - if item is stockable you can set amount of items to give (optional).
Returns 'false' if player's inventory is full. 'true' otherwise.
*/
#include "KamiDatabase.as"
// ----------------------------------------------------------------------------
//==============================================================
//==============================================================
//==============================================================
//==============================================================
//Including kamineko engine parts ==============================
/*
Functions Legend:
name(a:type[, b:type]):return

name - a name of a function (ex. refreshHUD() )
a - a variable that needs to suppled (ex. checkFree(_root) )
b - an optional variable, that doesnt need to be suppled (type in 'null' to omit it). Thay are marked with "[" and "]" brackets (ex. checkFree(_root,0) )
if no var is need to be suppled, an empty brackets are showned (ex. clearAll() )
you dont need to pay attention to name of the vars
type - a type of variable that is being suppled (ex. objectex(0) doesnt do anything, because it reqiures MovieClip var type)
return - a type of returned var (ex. v=checkItem("bat"); will set "v" to "true" if player has "bat" item, "false" otherwise)
*/
// Interface
if(_root.Inter == null) _root.createEmptyMovieClip("Inter",_root.getNextHighestDepth());
// Check
if(_root.playersCount<=0) _root.playersCount = 1;
if(_root.monstersCount<=0) _root.monstersCount = 1;

/* Kamineko Player -------------------------------------------------
Player Initialization.
Acts as 'Main Loop' of Kamineko engine and if any of the modules requires a constant processing
	it will attach its callback function through the "addProcessingModule" function.
It obviously requires a MovieClip with "Player" instance name on the main timeline.

List of added modules:
KamiFight.as ( fightProcess() function)
KamiTime.as ( timeProcess() function)


Includes:
_root.pDepth - it holds Players Depth.
	Kamineko swaps Player depths to create on illusion of going behind objects.
_root.playerAnimate - disable/enable player's animation - disable for cutscene.

_root.displayPlayer(b:Boolean):Void 
	b - "true" to show Player and "false" to hide.
_root.changePlayerAvatar(s:String):Void
	s - name of the frame in 'Player' MovieClip that holds animations of another Player character
	Example from Kamineko RPG
	Player --------------------------
			v			v			v
			Sakaki		Armisael	Osaka
_root.addProcessingModule(f:Function):Void
	f - function that will be called upon each "onEnterFrame" event
_root.resetPlayer():Void
	Used before change maps.
	When going to diffrent timeline frame Flash removes MovieClips from certain depths.
	Because of depth swpaing to mimic the 3D of going behind an objects Player's MovieClip may find itself on such depth.
_root.setPlayerPos(nx:Number,ny:Number):Void 
	Moves Player to given location.
	
*/
#include "Include/KamiPlayer.as"
//
/*Kamineko Clear All function ------------------------------------
## Deprecated ##
clearAll():Void
Clears every MovieClip and TextField from animation.
No point using in Kamineko 1.0

removeMovie(mc:MovieClip):Void
Not just removes, but DESTROYS, wipes a given MovieClip.
Nothing will survive.
*/
#include "Include/KamiClear.as"
//
//Kamineko keys settings -----------------------------------------
//It adds '_root' as a keylistner with it's 'onKeyDown' function.
//It also adds a new var:
//_root.allowKeys - boolean value that indicates whether Kamineko engine will respond to player input
//Note: this variable has nothing to do with Firefox (and Opera?) not responding in windowless flash publish option.
#include "Include/KamiKeys.as"
//
//Kamineko in-game options menu -----------------------------------------
//Creates an Options menu
//It uses library's MovieClip with "BubbleBut" linkage as buttons
//
//MovieClip that will hold all options menu's buttons is named "mcOptions" and residents on '_root.Inter'
//It will be created by this script.
#include "Include/KamiOptions.as"
//
/*Kamineko save/load functions -----------------------------------
Kamineko's save and load functions are very limited and are meant to store
only selected variables.
saveGame():Void
Stores all Kamineko's variables.

loadGame():Void
Restores setup of all Kamineko's variables from the last session.

Any none default variable will not be stored.
However here Kamineko introducts the system of "Flags" and "Vars":
setFlag(flag:String[, b:Boolean]):Void
Sets a flag.
flag - name of the flag.
b - boolean flag value, if you want to have none default 'true' property. Default: 'true'

checkFlag(flag:String):Boolean
Checks whether a given flag has been setted.
flag - name of the flag; case sensitive.
Returns 'true' if there is a flag with a given name. 'false' otherwise.

So basically, if the Player opened a door, you can set the flag:
_root.setFlag("doorOpened");
and from that point on, just check whether it is opened or not:
if(_root.checkFlag("doorOpened")) {\\do something here if it is opened...}
else {\\or something else here if it is not...}

Later, if you wish, you can make that door closed again by:
_root.setFlag("doorOpened",false);

For debug theres also:
_root.traceFlags();

// Vars
Kamineko "Vars" system can only hold numbers

setVar(v:String, n:Number):Void
checkVar(v:String):Number

And for debug:
traceVars():Void

*/
#include "Include/KamiSaveLoad.as"
//
/*Kamineko depth checker ------------------------------------------
checkFree(to:MovieClip[,di:Number]):Number

It returns first free depth in a given MovieClip
(This function is occasionally used in other Kamineko's functions )
to - target MovieClip (where ty search for free depth)
di - start search from this depth (default: 0)

checkFreeBelow(to:MovieClip[,di:Number]):Number
It returns first free depth in a given MovieClip but goes looking DOWN
contrary to checkFree that looks for free depths upwards.

Example:
If theres a MovieClip, within the _root, on depth 0 and depth 2
_root.checkFree(_root) will return 1
_root.getNextHighestDepth() will return 3
*/
#include "Include/KamiDepth.as"
//
/*Kamineko Changing Level Function ----------------------------------
changeLevel(to:String, nx:Number, ny:Number):Void

It will move player to another level.
ALWAYS USE THIS FUNCTION, using _root.gotoAndStop() by it self, will most likely mess up the game
to - a name of the frame, that player will be moved to (notice that, it has to be a String)
nx - a new x position for Player
ny - a new y position for Player

Before moving to the next level "changeLevel" will:
call _root.resetPlayer() from KamiPlayer.as
call _root.resetFollower(nx,ny) from KamiFollower.as
call _root.resetObjects() from KaibObjects.as
call _root.setPlayerPos(nx,ny) from KamiPlayer.as

checkWarp(tar:MovieClip, to:MovieClip):Void

This function is faster then hitTest().
Mose commenly used as checkWarp(this,_root.Player);
tar - bounds of that MovieClip are tested againts 'to'
to - _x and _y of the given MovieClip are used to test the collision
*/
#include "Include/KamiWarp.as"
//
/*Kamineko Object ----------------------------------------------------

KamiObject has been drastically changed in version 1.0.
It is now managed by "KamiObject" class.
To make a MovieClip part of the Kamineko world and allow it to interact with the Player
you need to import KamiObject class:
	import "classes/KamiObject.as"
than create KamiObject object:
	var koObject:KamiObject = new KamiObject();
finally attach a MovieClip and specify the hit-area (a "solid" part of a MovieClip)
	attach(tar:MovieClip, minX:Number, maxX:Number, minY:Number, maxY:Number, swapPoint:Number):Void
all number arguments are needed to be suppled in the local coordinate space (of attached MovieClip).
minX, maxX, minY, maxY are similar to MovieClip.getBounds().
swapPoint is an y coordinate for depth swaping point; if player is below it (Player._y<swapPoint) MovieClip attached to the given KamiObject will be drawn above the Player character, analogically in reverse manner.
You can skip any argument (except for the "tar" variable) by supplining "null" property; default values will be used:
minX = -5;
maxX = tar._width+5;
minY = tar._height/2;
maxY = tar._height;
swapPoint = tar.minY;
and the example:
koObject.attach(this, -_width/2, _width-(_width/2), 45, 65, 50);

optionally, you can add 2 events:
onSpace event - function that will be called when the user presses the space key (however only when the Player character is touching the KamiObject)
"mc" variable holds a reference to a MovieClip attached to the KamiObject (as "this" property holds reference to KamiObject)
koObject.onSpace = function(mc:MovieClip):Void  {
	if (!mc.opened) {
		_root.SMS("Now it is open!", 60);
		mc.opened = true;
	} else {
		_root.SMS("Now it is closed...", 60);
		mc.opened = false;
	}
};
onTouch event - function that will be called when players character touches a MovieClip attached to the KamiObject
like in above example, "mc" variable holds a reference to a MovieClip.
koObject.onTouch = function(mc:MovieClip):Void  {
	if(_root.checkFlag("gotKey")) {
		_root.SMS("The door is open!", 60);
	} else {
		_root.SMS("I need a key to open this door",60);
	}
};
Also, KamiObject needs to refresh its state (swap depths, interact)
To do that call:
koObject.process();
For best results put it inside the enterFrame event:
onClipEvent(enterframe) {
	koObject.process();
}

Includes: 
_root.unloadObjects():Void
	Call before changing levels to unload Objects as they may move to antoher map along with the Player.
	
Note: If you dont want KamiObject to swap depths, call process() method with "false" property
koObject.process(false);
Note2: 'onTouch' and 'onSpace' use own "hitTest" function which is faster but checks only the bounding box.
Note3: Avoid attaching resized/scaled MovieClips; This could lead to an inaccurate "hitTest" in 'onTouch' and 'onSpace'
*/
#include "Include/KamiObjects.as"
//
/*Kamineko Talking Box -----------------------------------------------
talk(tar:MovieClip):Number
Shows chating window. It uses 'say' array within a target MovieClip.
Each element of the 'say' array will be used as a separate conversation's page.
tar - a MovieClip with a 'say' array

talkRefresh():Void
If you changed the 'say' Array entry while 'talk' is the showing page you modified,
Player wont see those changes until you refresh the chat dialog.

if( _root.talk(this)==2 ) {
	//talk is now on a page two
	//and while it is showing that page we modify it
	this.say[2] = "something else";
	//now we need to refresh the chat dialog
	_root.talkRefresh();
}

removeTalk(mc:MovieClip):Void
Removes chating window.
'mc' MovieClip needs to be the same as the one that was used when calling talk()
Otherwise this function has no effect.
mc - a MovieClip that called talk() function.
*/
#include "Include/KamiTalk.as"
//
//
/*Kamineko NPCS random movment -----------------------------------------
mover(to:MovieClip, rx:Number, ry:Number, speed:Number):Void 
This function makes a given MovieClip move in random pattern.
to - Movielip to be moved
rx - range x, MovieClip will move from -rx to rx, from place where it stands
ry - range y, MovieClip will move from -ry to ry, from place where it stands
speed - the max. speed it can move at
Note: You call that function on each frame (best used in onEnterFrame event)

moverPath(to:MovieClip):Void
This function makes a given MovieClip move on a predefined path.
to - Movielip to be moved
'to' needs to have a 'aPathPoints' array:
var aPathPoints:Array = new Array();
with checkpoints:
aPathPoints[0]=[x,y,speed,timeout];
x - point's x position
y - point's y position
speed - MovieClip's speed of moving to that point
timeout - time (in frames) to wait befor moving to the next point
For example:
aPathPoints[0]=[10,10,5,60];
aPathPoints[1]=[100,55,7,120];
will make a MovieClip move to the [x:10 y:10] point first, with speed of 5 pixels per frame
after it reaches it's destination, a MovieClip will stop for 60frames (for game running with 20FPS that will make 3seconds)
then it will move on to the second point,
then back to the first one, and so on.
Note: You alse call that function on each frame
*/
#include "Include/KamiMove.as"
//
/* Kamineko Shoping ----------------------------------------------------
openShop(to:MovieClip):Void

It opens a shop window where player can pick items to buy
to - a MovieClip with items for sell list ('item' array)

sellTalkBox(to:MovieClip):Void
Function used by 'openShop' to display items in shop. You dont have to use it.
to - a MovieClip with items for sell list ('item' array)
*/
#include "Include/KamiShop.as"
//
/*Kamineko Choose Box ---------------------------------------------------
choose(tab:Array):String

This function displayes box with items to choose from.
The way it is used, is a little bit tricky.
When Player is still choosing, function returns '-1'.
Otherwise, it returns choosen item's index in "tab" array.
tab - array with items (Strings) to choose from.

Variables:
_root.sChooseItem - if you need, "sChooseItem" holds reference to String object that player choosed.
	It is reseted to 'null' on each first _root.choose call.

*/
#include "Include/KamiChoose.as"
/*Kamineko Pick-up Items ------------------------------------------------
variables:
_root.nItemsCount - number of unique items in player's possesion

functions:
giveItem(namex:String, [idex:Number], [stack:Boolean], [amount:Number], [fun:Function]):Boolean
Gives player specified item. Return 'false' if player's inventory is full
namex - item's name
indx - frame of "Items_Item" to use as an image (optional, default: 1)
consum - is this item stackable? (optional, default: false)
amount - amount to add; ignored if the item is not stackable (optional, default: 1)
fun - function to use when player uses an item; ignored if item already exists in player's inventory (optional, default: just removes one item);


checkItem(namex:String):Boolean
Checks if player has given item
namex - item's name

checkAmount(namex:String):Number
Returns number of stacked items.
Note: Will return 'null' on none-stackable item.
namex - item's name

itemPic(namex:String):Number
Returns frame number of used image.
namex - item's name

killItem(namex:String[, amount:Number]):Void
Removes given item from players inventory.
Note: Will NOT call "fun" function.
namex - item's name
amount - number of items to take away; "0" (zero) to take away all (optional, default: 1);
*/
#include "Include/KamiItems.as"
//
/*Kamineko Time Flow ---------------------------------------------------
moveTime(ile:Number):Void

It moves in-game time by given amount.
This function is also respansable for sun setting effect and auto saving
ile - amount of minutes to add (0.1 adds 10sec, 120 adds 2h)

setTimeFlow(b:Boolean):Void
Disable or enable the Time flow.
Disabling Time flow will also stop auto-save function and night's music fade effect.

Includes:
_root.autoSave - allows game to do auto saving (Setted to 'false' in a batte)
_root.sunEffect - allows game to do the "sun set" effect
_root.Sun - disables/enables sun (like for, inside/outside levels)
_root.daysPlayed - used for statistics purpose.
*/
#include "Include/KamiTime.as"
//
/*Kamineko Anti-Sunset effect -------------------------------------------
lamp(to:MovieClip):Void

Make given MovieClip 'immune' to sunset effect.
to - a target MovieClip

Use once, best inside the OnClipEvent(load) event of a target MovieClip
*/
#include "Include/KamiLamp.as"
//

/*Kamineko Shake Screen effect ------------------------------------------
shake(ti2:Number, ri:Number):Void

Shakes screen by given time and for given range
ti2 - time (1 is 1 fps)
ri - range in pixels, how hard will the screen shake
*/
#include "Include/KamiShake.as"
//
/*Kamineko Fade out effect -----------------------------------------------
fade(fi:Number, f:Number, t:Number[, fun:Function]):Void

Fade away effect
fi - Desired alpha (0-black, 100-normal)
f - stay time (1 is 1frame)
t - fading speed
fun - function, if you want to do something while screen is faded (optional, default: do nothing)
*/
#include "Include/KamiFade.as"
//
//
/*Kamineko Join new member to party function ------------------------------
## Deprecated ##
Use joinDBPlayer();

joinParty(char:Array, item:Array, skill:Array):Boolean
Adds new member to the party.
Returns 'true' if new member was added successfuly, 'false' otherwise.
char - an Array of 'char' variables
item - an Array of 'item' variables
skill - an Array of 'skill' variables
*/
#include "Include/KamiJoin.as"
//
/*Kamineko Following NPC function -----------------------------------------
Put MovieClip "FollowerInstance" on the main timeline to tell Kamineko engine
on what depth you want your follower MovieClips to be.

Creates _root.fDepth;

_root.addFollower(mc:MovieClip):Boolean 
	Makes a given MovieClip the Player's Follower
	mc - a MovieClip that will follow player
	Returns false if there's already a MovieClip that follows player.

_root.removeFollower():Void
	Removes any MovieClip that follows the Player.
	It will instantly erase that MovieClip.

_root.resetFollower([nx:Number][,by:Number]):Void
	Used before moving to diffrent map.
	When going to another timeline frame Flash removes MovieClips from certain depths.
	Flash may change Follower's MovieClip depth making it vulnerable to clean-up.
	You can move Follower to new location; not that using this function to move it to diffrent then Player's location
	is not recommanded.
	nx - new x position (optional; type 'null' to use the old x position)
	ny - new y position (optional; type 'null' to use the old y position)
	

Follower system is a bit complicated and can bring some unsuspected results
MovieClip that becomes a follower is still the same MovieClip - it's script stays intact
and any 'onEnterFrame' events and such are still triggered. However Flash will recreate that MovieClip in
it's original location.
Here are workarounds for those problems:
1. MovieClip that has become a follower has boolean 'isFollowing' var created.
	To stop unwanted event you can simply put it's whole code within if(!this.isFollowing) {...} statment
2. Recreating can be stopped by the fact that "onClipEvent(load) {}" will never be triggered for the follower MovieClip
	Set an instance name for a MovieClip that will become a follower and then within it put:
	onClipEvent(load) {
		if(_root.Follower._name == "your_instance_name_here") {
			_root.removeMovie(this);
		}
	}

Note: There can only be one follower at time.
*/
#include "Include/KamiFollower.as"
//
/*Kamineko Battle Starter function ---------------------------------------
Fight Icon initialization
It uses library's MovieClip with "FightSign" linkage as Random Encounter Notification icon.
It shows if Player can encounter enemies on a current level.
	
Will call:
_root.onRandomEncounter(song:String):Void 
	When Play encounters an enemy - that is, all conditions are met to enter a Random Encounter.
	song - if "chooseBattleSong" is 'true' will send a selected song; 'null' otherwise.
	Show some effects or otherwise inform Player about start of the Random Encounter.
	Use _root.fightStart() beforing moveing Player to the frame with Battle engine.
_root.onFightCancel():Void
	When Player have one more Fight Cancels and one was used.
	You can show some kind of effect to tell Player that the fight was canceled.

Includes:
_root.chooseBattleSong:Boolean = true;
	When you enter a battle, Kamineko plays a random "battle" song (from the ones selected by you)
	you can turn off that behavior.
	Songs are choosen form the "battleSongs" array initialized in Settings file
_root.walky - each step that Player makes decrease this variable.
	When reached zero initializes a 'Random Encounter' battle and sets "walky" back to 100-150.
_root.nFightCancel - possible fight cancels. Cancels a "Random Encounter" when "walky" reaches zero.
	Each "Random Encounter" decreases this number (if greater then zero).
	
	
_root.fightStart():Void
	Use just before moveing Player to the Random Encounter fight.
	It resets some of the variables and sets _root.inFight to 'true'.
_root.fightReturn([s:String]):Void 
	Use it when Random Ecounter is over and you want to return to the main game.
	s - frame name you want to move Player to. (optional; leave it out to move Player to the map where Player was before the battle)
	Will set _root.inFight to 'false'
_root.forceFight(noCancels:Boolean):Void
	Force Random Encounter.
	noCancels - 'true' - dont check for amount of fight cancels; initialize a fight anyway.
				'false' - if Player have any fight cancels Random Encounter will not happen.
	

*/
#include "Include/KamiFight.as"
//
/*Kamineko Music & Playlist ----------------------------------------------

playMusic(n:String):Void
Playes and unlocks given song on Playlist.
if Music Player is set to "manual" (non-auto mode) this function will just unlock the song.
n - title of song to be unlocked (played). Sending empty string will stop the music

fadeMusic(fad:Number):Void
Slowly (1% per animation frame) changes current volume to target volume.
Used by KamiTime to fade out music at night.
Only works when Playlist is set to "Auto" mode.
NOTE: You can block execution of this function by setting _root.noMusicFade to 'true'

setVolume(v:Number):Void
Sets Music volume.
Default Music volume is 75%

Includes:
_root.noMusicFade - If 'true', cancels any calls to fadeMusic() function.
_root.musicAuto - 'true' if Player wants to have BG music chosen for him.

Add-ons:
KamiMusic will try to load external Music Player from file "playlist.swf".
If fails, will try to load "playlist" - a linked movieClip from Library.
If that also fails, KamiMusic creates own, very simplifed Music Player.
READ MORE: Check "Playlists-readme.html" for more info about including own Music Player.
*/
#include "Include/KamiMusic.as"
//
/*Kamineko Sound Effects -------------------------------------------------
playSound(n:String[, b:Boolean[, l:Number]]):Void

Plays given sound (from "Sounds" folder or as Linkage from Library with "snd_"+n)
n - name of a sound (just the name, "mp3" or "snd_" will be added automaticly) 
b - if true, sound will come from a random direction (optional, defaul: center)
l - loop, how many times? (optional, defaul: no looping)

Includes:
_root.sndVol - sound's volume. Default is 100%
*/
#include "Include/KamiSound.as"
//
/*Kamineko Floating Text --------------------------------------------------
addFText(nx:Number, ny:Number, s:String[, c:Number]):Void

It will create a floating and fading away text message.
Mostly used to show damage in Battles.
nx - x position
ny - y position
s - text to be displayed
c - color, a hexadecimal number (deafult:0x00ff00 (green))
*/
#include "Include/KamiFloatingText.as"
//

/* Kamineko Interface ====================================================
Note: Everything that is a part (child) of the "Inter" MovieClip will not be affected
	by the Sunset effect.
*/

/*Head Up Display Configuration
var showStats:Boolean = false;
var showItems:Boolean = false;
var showEquip:Boolean = false;
var showIcons:Boolean = false;
var showPlay:Boolean = false;
var showPlayer:Boolean = false;
var showPotions:Boolean = false;
var showCash:Boolean = false;
var showFightIcon:Boolean = false;
*/

var cInterColor:Color = new Color(_root.Inter);
if(_root.Inter.FAQ == null) _root.Inter.attachMovie("FAQ", "FAQ", _root.Inter.getNextHighestDepth());
_root.Inter.FAQ.gotoAndStop(1);
_root.Inter.FAQ._visible=false;
_root.Inter.FAQ._x = (_root.swidth/2)-(_root.Inter.FAQ._width/2);
_root.Inter.FAQ._y = ((_root.sheight/2)-(_root.Inter.FAQ._height/2))+30;

// Cheating status
var cheat:Boolean = false;
var bCheater:Boolean = false;

if(_root.Inter.tfCheater==null) _root.Inter.createTextField("tfCheater",_root.Inter.getNextHighestDepth(), (_root.swidth/2)-80, 105, 128, 32);
_root.Inter.tfCheater.selectable = false;
_root.Inter.tfCheater.embedFonts = true;
_root.Inter.tfCheater.text = "No Enemies Encounter!";
_root.Inter.tfCheater.setTextFormat(_root.format);
_root.Inter.tfCheater._visible = false;

var enableCheating:Function = function(b:Boolean):Void {
	_root.Inter.tfCheater._visible = b;
	_root.cheat = b;
	_root.bCheater = b || _root.bCheater;
	_root.setRandomFact(8);
}

/* Kamineko Avators ------------------------------------------------
Avators = Faces of Party Members on the HUD

It uses library's MovieClip with "statusAvatar" linkage as avatars icon.
"statusAvatar" needs to hold all game's characters icons.
Icon will be choosen depending on Database entry.

It also adds:
refreshHUD():Void
Which refreshes character's avatars.
Most likely you wont need to use it.
*/
import classes.KamiIcon;
#include "Include/KamiAvatars.as"
/* Kamineko Potions ------------------------------------------------
Healing and Mana potions initialization
It uses library's MovieClips with "PotionH" and "PotionM" linkages as potions icons.
"PotionH" holds Healing bottles images.
"PotionM" holds Mana bottles images.

_root.addHealPotion(t:Number,a:Number):Void
	Gives (or takes) Healing potions to Player.
	t - potion type (number indicates index in 'heal' array)
	a - amount of Potions to give (negative number to take away)
	
_root.addManaPotion(t:Number,a:Number):Void
	Gives (or takes) MAna potions to Player.
	t - potion type (number indicates index in 'mana' array)
	a - amount of Potions to give (negative number to take away)
	
It also includes functions for Health and Mana restoring:
_root.restoreHealth(b:Boolean):Void
	Restores Player's Health.
	b - 'true' to restor Health of all party members; 'false' for selected character only.
_root.restoreMana(b:Boolean):Void
	Restores Player's Mana.
	b - 'true' to restore Mana of all party members; 'false' for selected character only.
	
	
NOTE: Hiding Potions for Random Encounter battle is strongly recommanded

*/
#include "Include/KamiPotions.as"
/* Kamineko Cash Icon ----------------------------------------------
Cash Icon initialization.
It uses library's MovieClip with "CashIcon" linkage as Cash Icon.
It is also respansible for Cheater message displaying
*/
#include "Include/KamiCash.as"
/* Kamineko Status Window -------------------------------------------
Status window Initialization.
It uses library's MovieClip with "InfoStatus" linkage as background for Status window.
*/
#include "Include/KamiStatus.as"
/* Kamineko Inventory Window -------------------------------------------
Inventory window Initialization.
It uses library's MovieClip with "Inventory" linkage as background for Equipment window.

_root.addEquip(char:Number, iid:Number, a:Array):Boolean
	Adds a given item to a given character.
	char - party 'slot' (similar to readDBPlayer()). Type in 'null' if you want to give that item to the first character
		who doesnt have it (checked by name; case sensitive).
	iid - item's id (0.sword 1.helm 2.armor 3.shoe 4.shield)
	a - item's stats [name,value]
	Returns 'true' if given item was added successfully. 'false' otherwise.
_root.addBetterEquip(char:Number, iid:Number, a:Array):Boolean
	Same as addEquip but typing 'null' for "char" attribute will give the item to first character
	who has worse item that the one to be given (checked by item's "value")
*/
#include "Include/KamiEquipment.as"
/* Kamineko Items Window -------------------------------------------
Items window Initialization.
It uses library's MovieClip with "Items" linkage as background for Items window.
It also uses library's MovieClip with "pickup" linkage as picked up item's icon.
Because theres no easy way to attach any MovieClip onto the "Items" window there needs to be
a MovieClip that holds icons of all game's pickable items.
Then, depending on what item Player is holding, specific "pickup" MovieClip frame is choosen.
For example if your game has 6 pickable items, the "pickup" MovieClip has to have 7 frames (first frame is always empty)
second frame for "item1", third frame for "item2" and so on. It can have a diffrent order (except for empty frame)
What frame will be used is for you to decide when you use the _root.giveItem function.
NOTE: _root.pickups array is expected (defined by KamiItems.as)
*/
#include "Include/KamiItemsWindow.as"
/* Kamineko FPS Counter -------------------------------------------
FPS Counter Initialization.
*/
#include "Include/KamiFPS.as"
/*Kamineko Short Message System ---------------------------------------
SMS(s:String, ti:Number[, fun:Function]):Void
It displayes a small message in the upper part of the screen, for given amount of time.
s - Text to be displayed
ti - time till text disapearance (1 is 1 fps)
fun - function that is executed after the SMS disapears (default: do nothing)
Note: each next call to the SMS() function will override previous calls
	you can use that fact to clear any SMS message from the screen by calling:
	_root.SMS("",1);
*/
#include "Include/KamiSMS.as"

/* Kamineko Settings -------------------------------------------------------
Settings.as file contains some of the Kamineko's settings variables.
Many variables are defined but shouldnt be modified.
Settings.as contains only those vars that are ment to be modified.

Modify "Settings.as" file to fit your liking.
*/
#include "Settings.as"