﻿import classes.KamiBattleChar;
class classes.KamiBattleControl {
	public var aStatName:Array = ["name", "STR", "VIT", "DEX", "INT", "HP", "MaxHP", "MP", "MaxMP", "ATK", "DEF", "Move time"];
	public var mcTarget:MovieClip = null;
	public var mcCurrent:MovieClip = null;
	public var sMessage:String = null;
	public var sCaster:String = null;
	//Player
	//0.name 1.Str 2.Vit 3.Dex 4.Int 5.HP 6.MaxHP 7.MP 8.MaxMP 9.EP 10.MaxEP 11.LVL 12.picture 13.LVUP FUN() 14.Summon 15.AI Controlled
	//Item
	//0.sword 1.helm 2.armor 3.shoe 4.shield 5.SumDEF
	//Skill
	//0.name 1.picture 2.type 3.dmg 4.maxDMG 5.target 6.cost 7.unlocked
	private var aTargetGroup:Array = null;
	private var aAllyGroup:Array = null;
	//
	private var nDmg:Number = 0
	function KamiBattleControl() {
	}
	public function doDamage(char:KamiBattleChar, target:KamiBattleChar, skill:Array):Void {
		if(!target.isAlive()) return;
		//
		this.mcCurrent = char.getChar();
		this.aTargetGroup = target.getGroup();
		this.aAllyGroup = char.getGroup();
		//
		this.sMessage = "";
		if(skill[0]=="cheat") {
			this.sCaster = "Cheater";
		} else {
			this.sCaster = char.getName();
		}
		// dealDamage(type, dmg, maxDMG);
		// target type
		switch(skill[5]) {
			case -2:
				// self group
				for(var idx in this.aAllyGroup) {
					if( this.aAllyGroup[idx].isAlive()) {
						this.sMessage += "\n"+this.sCaster;
						this.aAllyGroup[idx].dealDamage(skill[2], skill[3], skill[4], char, target);
					}
				}
				_root.kbsStat.addText(this.sMessage);
				break;
			case -1:
				// self
				this.sMessage += "\n"+this.sCaster;
				char.dealDamage(skill[2], skill[3], skill[4], char, target);
				_root.kbsStat.addText(this.sMessage);
				break;
			case 0:
				// target
				this.sMessage += "\n"+this.sCaster;
				target.dealDamage(skill[2], skill[3], skill[4], char, target);
				_root.kbsStat.addText(this.sMessage);
				break;
			case 1:
				// target group
				for(var idx in this.aTargetGroup) {
					if( this.aTargetGroup[idx].isAlive()) {
						this.sMessage += "\n"+this.sCaster;
						this.aTargetGroup[idx].dealDamage(skill[2], skill[3], skill[4], char, target);
					}
				}
				_root.kbsStat.addText(this.sMessage);
				break;
			case 2:
				// leech
				this.nDmg = target.dealDamage(skill[2], skill[3], skill[4], char, target);
				if(this.nDmg!=0) char.dealDamage(skill[2], -this.nDmg, -skill[4]);
				_root.kbsStat.addText("\n"+this.sCaster+" leeched "+this.nDmg);
				break;
			case 3:
				// leech group
				this.nDmg = 0;
				for(var idx in this.aTargetGroup) {
					this.nDmg += this.aTargetGroup[idx].dealDamage(skill[2], skill[3], skill[4], char, target);
				}
				if(this.nDmg!=0) char.dealDamage(skill[2], -this.nDmg, -skill[4]);
				_root.kbsStat.addText("\n"+this.sCaster+" leeched "+this.nDmg);
				break;
			case 4:
				for(var idx in this.aTargetGroup) {
					if( this.aTargetGroup[idx].isAlive()) {
						this.sMessage += "\n"+this.sCaster;
						this.aTargetGroup[idx].dealDamage(skill[2], skill[3], skill[4], char, target);
					}
				}
				for(var idx in this.aAllyGroup) {
					if( this.aAllyGroup[idx].isAlive()) {
						this.sMessage += "\n"+this.sCaster;
						this.aAllyGroup[idx].dealDamage(skill[2], skill[3], skill[4], char, target);
					}
				}
				_root.kbsStat.addText(this.sMessage);
				break;
		}
	}
	/*
	Macro for sending floating message
	*/
	private function sendMsg(to:MovieClip, txt:String, d:String, c:Number):Void {
		_root.addFText(to._x, to._y-to.anim.hi, ""+d, c);
		_root.kbsStat.addText(txt);
	}
	//
	/*
	"Effect" functions()
	*/
	public function HitEffect(fx:String, b:Boolean):Void {
		var mc:MovieClip = _root.attachMovie(fx, fx, _root.getNextHighestDepth());
		if (b) {
			mc._x = this.mcTarget._x;
			mc._y = this.mcTarget._y;
		} else {
			mc._x = this.mcCurrent._x;
			mc._y = this.mcCurrent._y;
		}
		mc.onEnterFrame = function():Void  {
			if (this._currentframe>=this._totalframes) {
				_root.removeMovie(this);
			}
		};
	}
	public function MissEffect(who:MovieClip,tar:MovieClip,a:Number,t:Number):Void {
		var mc:MovieClip = who.createEmptyMovieClip("moved",who.getNextHighestDepth());
		mc.tar = tar;
		a = Math.abs(a);
		if(who._x<_root.swidth/2) {
			mc.amp = -a;
		} else {
			mc.amp = a;
		}
		mc.ti = t;
		mc.onEnterFrame = function():Void  {
			this.tar._x = this.amp;
			this.ti--;
			if (this.ti<=0) {
				this.tar._x = 0;
				_root.removeMovie(this);
			}
		};
	}
	public function ShakeEffect(a:Number,tar:MovieClip):Void {
		var mc:MovieClip = tar.createEmptyMovieClip("shaked",tar.getNextHighestDepth());
		mc.parent = tar;
		mc._x = tar._x;
		mc._y = tar._y;
		mc.amp = a;
		mc.onEnterFrame = function():Void  {
			this.parent._x = this._x+(random(this.amp*2)-this.amp);
			this.parent._y = this._y+(random(this.amp*2)-this.amp);
			this.amp--
			if (this.amp<=0) {
				this.parent._x = this._x;
				this.parent._y = this._y;
				_root.removeMovie(this);
			}
		};
	}
	public function ColorEffect(cr:Number,cg:Number,cb:Number,a:Number,tar:MovieClip):Void {
		var mc:MovieClip = tar.createEmptyMovieClip("colored",tar.getNextHighestDepth());
		mc.ceffect = new Color(tar);
		mc.trans = mc.ceffect.getTransform();
		mc.doback = false;
		mc.amp = a;
		mc.cr = cr;
		mc.cg = cg;
		mc.cb = cb;
		mc.onEnterFrame = function():Void  {
			if(!this.doback){
				if(this.trans.rb<this.cr) this.trans.rb+=this.amp;
				if(this.trans.gb<this.cg) this.trans.gb+=this.amp;
				if(this.trans.bb<this.cb) this.trans.bb+=this.amp;
				this.doback = this.trans.rb>=this.cr && this.trans.gb>=this.cg && this.trans.bb>=this.cb;
			} else {
				if(this.trans.rb>0) this.trans.rb-=this.amp;
				if(this.trans.gb>0) this.trans.gb-=this.amp;
				if(this.trans.bb>0) this.trans.bb-=this.amp;
				if(this.trans.rb<=0 && this.trans.gb<=0 && this.trans.bb<=0) {
					this.trans.rb=0;
					this.trans.gb=0;
					this.trans.bb=0;
					this.ceffect.setTransform(this.trans);
					_root.removeMovie(this);
				}
			}
			this.ceffect.setTransform(this.trans);
		}
	}
}
